org.apache.commons.math3.genetics

## Interface Fitness

- All Known Implementing Classes:
    AbstractListChromosome, BinaryChromosome, Chromosome, RandomKey

      public interface Fitness

  Fitness of a chromosome.
  Since:
    2.0
  Version:
    $Id: Fitness.java 1416643 2012-12-03 19:37:14Z tn $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `fitness()` Compute the fitness.

- - ### Method Detail

    - #### fitness

          double fitness()

      Compute the fitness. This is usually very time-consuming, so the value should be cached.
      Returns:
        fitness

Copyright (c) 2003-2013 Apache Software Foundation